> For the complete documentation index, see [llms.txt](https://docs.whiteintel.io/whiteintel-api-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/combolists-api/get-customer-leaks-by-id-api.md).

# Get Customer Leaks by Id API

Get Leaks by ID API

### Description

This API endpoint allows users to retrieve customer leaks associated with given set of ids from combolist data sets.

### Endpoint

`POST /api/combolists/v2/get_customer_leaks_by_id.php`

### Required Headers

| Name         | Description                       |
| ------------ | --------------------------------- |
| Content-Type | Must be set to `application/json` |

### Parameters

<table><thead><tr><th>Name</th><th>Type</th><th>Required</th><th width="198">Default</th><th>Description</th></tr></thead><tbody><tr><td>query</td><td>string</td><td>Yes</td><td>N/A</td><td>The query to search for leaks (e.g domain.com)</td></tr><tr><td>apikey</td><td>string</td><td>Yes</td><td>N/A</td><td>Your API key.</td></tr><tr><td>ids</td><td>array</td><td>Yes</td><td>N/A</td><td>Array of ID values to retrieve results. </td></tr></tbody></table>

{% hint style="warning" %}
Maximum length of array is 100 items.
{% endhint %}

### Sample Request

#### Request URL

POST /api/combolists/v2/get\_customer\_leaks\_by\_id.php

```json
{
    "query": "exampledomain.com",
    "ids": [876971,26021309,36311149,503078514]
    
}
```

#### Example Success Response

```json
{"results":[{"id":876971,"url":"","username":"","password":""}],"remaining_calls":470}
```

#### Example Error Response

```json
{"error":"Invalid type."}
```

### Code Examples

Example with Curl

```bash
curl -X POST https://whiteintel.io/api/combolists/v2/get_customer_leaks_by_id.php \
     -H "Content-Type: application/json" \
     -d '{
           "apikey": "yourapikey",
           "query": "exampledomain.com",
           "ids": [876971,26021309,36311149,503078514]
           
         }'
```

Example with Python

```python

import requests

url = "https://whiteintel.io/api/combolists/v2/get_customer_leaks_by_id.php"
payload = {
    "apikey": "yourapikey",
    "query": "exampledomain.com",
    "ids": [876971,26021309,36311149,503078514]
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

if response.status_code == 200:
    print("Response:", response.json())
else:
    print("Failed to retrieve customer leaks by id:", response.status_code, response.text)

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/combolists-api/get-customer-leaks-by-id-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
